from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.ui.dialogs import XExecutableDialog

@runtime_checkable
class XFolderPicker(XExecutableDialog, Protocol):
    def getDisplayDirectory(self) -> str: ...
    def getDirectory(self) -> str: ...
    def setDescription(self, aDescription: str) -> None: ...
